Run quality assurance (batch)
curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/run \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"maxQaWarningsCount": 500,
"settings": {
"initialSegment": {
"uid": "<string>"
},
"maxQaWarningsCount": 500,
"warningTypes": []
}
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/run"
payload = {
"jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"maxQaWarningsCount": 500,
"settings": {
"initialSegment": { "uid": "<string>" },
"maxQaWarningsCount": 500,
"warningTypes": []
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
maxQaWarningsCount: 500,
settings: {initialSegment: {uid: '<string>'}, maxQaWarningsCount: 500, warningTypes: []}
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/qualityAssurances/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"finished": true,
"segmentWarnings": [
{
"ignoredChecks": [],
"segmentId": "<string>",
"warnings": [
{
"id": "<string>",
"ignored": true
}
]
}
]
}Quality Assurance
Run quality assurance (batch)
deprecated
Call “Get QA settings” endpoint to get the list of enabled QA checks
POST
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
qualityAssurances
/
run
Run quality assurance (batch)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Body
application/json
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Maximum number of QA warnings in result, default: 100. For efficiency reasons QA warnings are processed with minimum segments chunk size 10, therefore slightly more warnings are returned.
Required range:
1 <= x <= 1000Show child attributes
Show child attributes
Was this page helpful?
⌘I